tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Johannes Fiala" <tomcat-...@fwd.at>
Subject TC 5.0.1 build fails due to commons-el
Date Thu, 01 May 2003 17:57:03 GMT
Hi there, 

I just downloaded TC 5.0.1 src and tried to build it from scratch.
After some minor issues with build.properties, I get the following error.

compile-only:
    [javac] Compiling 57 source files to 
E:\jakarta-tomcat-5.0.1-src\commons-el\
target\classes
    [javac] 
E:\jakarta-tomcat-5.0.1-src\commons-el\src\java\org\apache\commons\e
l\ExpressionEvaluatorImpl.java:124: 
org.apache.commons.el.ExpressionEvaluatorImp
l should be declared abstract; it does not define 
evaluate(java.lang.String,java
.lang.Class,javax.servlet.jsp.el.VariableResolver,javax.servlet.jsp.el.FunctionM
apper,java.lang.String) in javax.servlet.jsp.el.ExpressionEvaluator
    [javac] public class ExpressionEvaluatorImpl
    [javac]        ^
    [javac] 1 error

I took the most current version of commons-el (nightly build 2003-05-01), 
but it doesn't work either.

Does anybody know which version of EL works? Or should I try another TC 
5.0.1 src release?

thx alot
Johannes
Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message